%define Summary A free (GPL) Bomberman-like multiplayer game

Summary:	%{Summary}
Name:		clanbomber
Version:	1.05
Release:	14
License:	GPL
Group:		Games/Arcade
URL:		http://clanbomber.sourceforge.net/
Source0:	http://www.clanbomber.de/files/%{name}-%{version}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch8:		clanbomber-1.02a-gcc-3.3.patch
Patch9:		%{name}-0.5-compile-without-xdisplay.patch
Patch10:        clanbomber-1.05-gcc3_4.patch
Patch11:	clanbomber-1.05-newer-make.patch
Patch12:	clanbomber-1.05-fix-build.patch
BuildRequires:	zlib-devel libhermes-devel clanlib0.6-devel libclanlib-mikmod
BuildRequires:	libmikmod-devel libclanlib-sound automake

%description
ClanBomber is a free (GPL) Bomberman-like multiplayer game that uses ClanLib, a
free multi platform C++ game SDK. First "ClanBomber" was only a working title
for a small game started in September 1998, that has only been started to learn
how to use ClanLib. But the ClanBomber project has grown into a real game. It
is fully playable and features Computer controlled bombers, however, it is
recommended to play ClanBomber with friends (3-8 players are really fun).

%prep

%setup -q
%patch8 -p1 -b .peroyvind
%patch9 -p1 -b .peroyvind
%patch10 -p1
%patch11 -p0
%patch12 -p0

%build
autoreconf -fi
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
%configure2_5x
make

%install
rm -rf %{buildroot}

%makeinstall_std

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png


# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=ClanBomber
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF


%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/applications/mandriva-%{name}.desktop




%changelog
* Mon Jun 18 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.05-14
+ Revision: 806130
- re; up

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.05-13
+ Revision: 663378
- mass rebuild

* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.05-12mdv2011.0
+ Revision: 605813
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.05-11mdv2010.1
+ Revision: 522361
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.05-10mdv2010.0
+ Revision: 413238
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 1.05-9mdv2009.1
+ Revision: 350235
- 2009.1 rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.05-8mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 1.05-8mdv2008.1
+ Revision: 186282
- Run clanbomber with soundwrapper (Mdv bug #38420)

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.05-7mdv2008.1
+ Revision: 149084
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

